/* 
 * Minitel 1B screen attach for Raspberry Pi
 * Copyright (c) 2019 by Paul-Louis Ageneau
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
$fn=45;

difference() {
    union() {
        cylinder(h=2, r=5, center=true);
        translate([30, 0, 5/2]) cylinder(h=7, r=5, center=true);
        translate([15, 0, 0]) cube([30, 10, 2], center=true);
    }
    cylinder(h=100, r=1.75, center=true);
}
